import request from '@/utils/request'

// 查询厂家得分列表
export function listScore(query) {
  return request({
    url: '/biz/score/list',
    method: 'get',
    params: query
  })
}

// 查询厂家得分详细
export function getScore(id) {
  return request({
    url: '/biz/score/' + id,
    method: 'get'
  })
}

// 新增厂家得分
export function addScore(data) {
  return request({
    url: '/biz/score',
    method: 'post',
    data: data
  })
}

// 修改厂家得分
export function updateScore(data) {
  return request({
    url: '/biz/score',
    method: 'put',
    data: data
  })
}

// 删除厂家得分
export function delScore(id) {
  return request({
    url: '/biz/score/' + id,
    method: 'delete'
  })
}

//训练按钮
export function train() {
  return request({
    url:'/biz/score/train',
    method:'get',

  })
}

//推荐按钮
export function marking(args) {
  return request({
    url: '/biz/score/marking',
    method: 'post',
    data: args,

  })
}
